WLAN_WEP(4)

NAME
wlan_wep - WEP crypto support for 802.11 devices

SYNOPSIS
device wlan_wep

DESCRIPTION
The wlan_wep module handles the WEP cryptographic requirements of the 802.11 protocol. It does encapsulation and decapsulation of WEP-encoded 802.11 frames and optionally calculates the WEP cipher. The wlan_wep module is an 802.11 cryptographic plugin module for use by the wlan(4) module. This module is automatically loaded if a WEP key is configured with ifconfig(8). Should the underlying network device not be capable of doing the WEP calculations in hardware, the wlan_wep module will do the work.

SEE ALSO
wlan(4), wlan_ccmp(4), wlan_tkip(4)

STANDARDS
More information can be found in the IEEE 802.11 Standard.

HISTORY
The wlan_wep driver first appeared in FreeBSD 6.0.